Create Custom Domain
curl --request POST \
--url https://app.plugchoice.com/api/v3/teams/{team}/custom-domains \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"hostname": "<string>"
}
'import requests
url = "https://app.plugchoice.com/api/v3/teams/{team}/custom-domains"
payload = { "hostname": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({hostname: '<string>'})
};
fetch('https://app.plugchoice.com/api/v3/teams/{team}/custom-domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"hostname": "<string>",
"status": "<string>"
}Custom Domains
Create Custom Domain
POST
/
v3
/
teams
/
{team}
/
custom-domains
Create Custom Domain
Creates a white-label custom domain for the specified team. The domain will be provisioned through Cloudflare and must point to the platform via a CNAME record.
The UUID of the team.
The fully qualified hostname to use (e.g.,
app.example.com). Must be a valid hostname, maximum 255 characters. Cannot contain plugchoice or volttime, and cannot be an existing platform domain.Response
The numeric ID of the custom domain.
The registered hostname.
The current provisioning status of the domain.
⌘I